orte/mca/iof/svc/iof_svc_proxy.h File Reference.TH "orte/mca/iof/svc/iof_svc_proxy.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/iof/svc/iof_svc_proxy.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/iof/iof.h'\fP
.br
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mca/iof/base/iof_base_header.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBorte_iof_svc_proxy_recv\fP (int status, orte_process_name_t *peer, struct iovec *msg, int count, \fBorte_rml_tag_t\fP tag, void *cbdata)"
.br
.RI "\fICallback function from OOB on receipt of IOF request. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "void orte_iof_svc_proxy_recv (int status, orte_process_name_t * peer, struct iovec * iov, int count, \fBorte_rml_tag_t\fP tag, void * cbdata)"
.PP
Callback function from OOB on receipt of IOF request. 
.PP
\fBParameters:\fP
.RS 4
\fIstatus\fP (IN) Completion status. 
.br
\fIpeer\fP (IN) Opaque name of peer process. 
.br
\fImsg\fP (IN) Array of iovecs describing user buffers and lengths. 
.br
\fIcount\fP (IN) Number of elements in iovec array. 
.br
\fItag\fP (IN) User defined tag for matching send/recv. 
.br
\fIcbdata\fP (IN) User data. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
